Bug 822244 - /usr/share/cluster/tomcat-6.sh not using tomcat defaults
Summary: /usr/share/cluster/tomcat-6.sh not using tomcat defaults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents
Version: 6.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 782183
TreeView+ depends on / blocked
 
Reported: 2012-05-16 19:42 UTC by joshua
Modified: 2018-11-30 22:09 UTC (History)
11 users (show)

Fixed In Version: resource-agents-3.9.2-14.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 07:52:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 127883 0 None None None Never
Red Hat Product Errata RHBA-2013:0288 0 normal SHIPPED_LIVE resource-agents bug fix and enhancement update 2013-02-20 20:36:39 UTC

Description joshua 2012-05-16 19:42:08 UTC
Description of problem:

HA Clustering of tomcat6 isn't using tomcat defaults.  When it starts tomcat6, it complains with:

/usr/sbin/tomcat6: line 30: /logs/catalina.out: No such file or directory


If you look at line 30 of the recently fixed /usr/sbin/tomcat6 from RHEL 6.3 Beta, one can see that the clustering setup script somehow isn't seeing any value for ${CATALINA_BASE}.  This is strange, as defaults are all there:

$ grep CAT /tomcat-6/tomcat-6\:tomcat6/conf/tomcat6.conf 
CATALINA_HOME="/usr/share/tomcat6"
CATALINA_TMPDIR="/var/cache/tomcat6/temp"
TOMCAT_USER="tomcat"
# Set the TOMCAT_PID location
CATALINA_BASE=/tomcat-6/tomcat-6:tomcat6
CATALINA_PID=/var/run/cluster/tomcat-6/tomcat-6:tomcat6.pid

So /usr/share/cluster/tomcat-6.sh is calling /usr/sbin/tomcat6, it isn't supplying tomcat configs.  Note that the RHEL 6.3 Beta version of /usr/share/cluster/tomcat-6.sh is identical to the RHEl 6.2 version.



Version-Release number of selected component (if applicable):

from RHEL 6.2:
working HA Clustering for other services:  Apache, etc
all updates as of May 16th
resource-agents-3.9.2-7.el6.x86_64

... and from RHEL 6.3 Beta:
tomcat6-lib-6.0.24-43.el6.noarch
tomcat6-servlet-2.5-api-6.0.24-43.el6.noarch
tomcat6-el-2.1-api-6.0.24-43.el6.noarch
tomcat6-6.0.24-43.el6.noarch
tomcat6-jsp-2.1-api-6.0.24-43.el6.noarch

Comment 1 joshua 2012-07-08 18:29:06 UTC
Even with the new RHEL 6.3 packages:

tomcat6-lib-6.0.24-45.el6.noarch
tomcat6-servlet-2.5-api-6.0.24-45.el6.noarch
tomcat6-el-2.1-api-6.0.24-45.el6.noarch
tomcat6-6.0.24-45.el6.noarch
tomcat6-jsp-2.1-api-6.0.24-45.el6.noarch


... same result:

/usr/sbin/tomcat6: line 30: /logs/catalina.out: No such file or directory

Comment 9 errata-xmlrpc 2013-02-21 07:52:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0288.html

Comment 10 joshua 2013-02-22 02:38:50 UTC
It does seem to work, thank you Red Hat.


Note You need to log in before you can comment on or make changes to this bug.